import { CommonModule } from '@angular/common';
import { Component, OnInit } from '@angular/core';
import { IonButton, IonContent, IonHeader, IonIcon, IonInput, IonItem, IonLabel,
   IonList, IonListHeader, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { Router } from '@angular/router';

@Component({
  selector: 'app-topic-detail2',
  templateUrl: './topic-detail2.component.html',
  styleUrls: ['./topic-detail2.component.scss'],
  standalone: true,
  imports:[IonHeader,IonToolbar,IonTitle,IonContent,
    IonList,IonListHeader,IonLabel,IonItem,IonIcon,
  IonButton,CommonModule]
})
export class TopicDetail2Component  implements OnInit {
  methods = [
    {
      title: '寻求专业帮助',
      description: '咨询心理医生或心理治疗师，获得专业的支持和指导',
      details: '专业心理咨询师、心理医生或治疗师能够提供支持和指导，帮助个体更好地理解和处理自己的情绪和行为。寻求专业帮助还能够提供一个安全的空间，让人们自由表达自己的感受，获得理解和支持，从而更好地应对生活中的挑战。',
      expanded: false,
    },
    {
      title: '建立健康的生活方式',
      description: '保持规律的作息、均衡的饮食和适量的运动',
      details: '健康的生活方式可以显著改善你的心理状态，增强抵抗抑郁的能力,提升情绪,促进整体身体心理健康，提升生活的积极性和幸福感',
      expanded: false,
    },
    {
      title: '与他人交流',
      description: '与朋友和家人分享你的感受，建立支持网络',
      details: '积极的社交互动有助于增强情感支持，提供理解和共鸣，让个体感受到被接纳和关心。此外，交流还能帮助人们获得不同的观点和应对策略，促进问题的解决和心理的疏导,改善整体情绪，增强对生活的积极态度。',
      expanded: false,
    },
  ];

  tools = [
    {
      name: '在线支持小组',
      description: '与其他抑郁症患者交流，分享经验',
      link: 'https://www.douban.com/group/739850/',
      buttonText: '加入小组',
    },
  ];

  resources = [
    {
      title: '克服抑郁的十大技巧',
      link: 'https://m.baidu.com/bh/m/detail/ar_6218671750317725196',
      buttonText: '阅读更多',
    },
    {
      title: '如何面对抑郁',
      link: 'https://m.baidu.com/bh/m/detail/ar_12253741886669041142',
      buttonText: '查看更多',
    },
  ];

  discussions = [
    {
      title: '分享你的抑郁克服故事',
      link: 'https://example.com/community',
    },
  ];
  constructor(private router: Router) { }
  goTab1(){
    this.router.navigate(['tabs/tab1']);
   }
  ngOnInit() {}

}
